com.sun.grid.jgdi.configuration

## Class ShareTreeImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.ShareTreeImpl

- All Implemented Interfaces:
    GEObject, ShareTree, java.io.Serializable, java.lang.Cloneable

      public class ShareTreeImpl
      extends GEObjectImpl
      implements ShareTree

  Java representation of the cull object STN_Type defined in sge_all_listsL.template

  Warning: The ShareTreeImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShareTreeImpl()` Create a new instance of ShareTreeImpl.
    `ShareTreeImpl(boolean initWithDefaultValues)` Create a new instanceof
    `ShareTreeImpl(java.lang.String name)` Create a new instance of ShareTreeImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChildren(ShareTree achildren)` Add a com.sun.grid.jgdi.configuration.ShareTree attribute.
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `double` | `getActualProportion()` Get the value of the actualProportion attribute.
    `ShareTree` | `getChildren(int index)` Get a com.sun.grid.jgdi.configuration.ShareTree attribute at an index.
    `int` | `getChildrenCount()` Get the number of com.sun.grid.jgdi.configuration.ShareTree attributes.
    `java.util.List<ShareTree>` | `getChildrenList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ShareTree attributes.
    `int` | `getId()` Get the value of the id attribute.
    `double` | `getMShare()` Get the value of the mShare attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `int` | `getShares()` Get the value of the shares attribute.
    `int` | `getTemp()` Get the value of the temp attribute.
    `int` | `getType()` Get the value of the type attribute.
    `boolean` | `isSetActualProportion()` Determine if the actualProportion attribute is set
    `boolean` | `isSetChildren()` Determine if the children attribute is set
    `boolean` | `isSetId()` Determine if the id attribute is set
    `boolean` | `isSetMShare()` Determine if the mShare attribute is set
    `boolean` | `isSetName()` Determine if the name attribute is set
    `boolean` | `isSetShares()` Determine if the shares attribute is set
    `boolean` | `isSetTemp()` Determine if the temp attribute is set
    `boolean` | `isSetType()` Determine if the type attribute is set
    `void` | `removeAllChildren()` Remove all com.sun.grid.jgdi.configuration.ShareTree attributes.
    `ShareTree` | `removeChildren(int index)` Remote a com.sun.grid.jgdi.configuration.ShareTree attribute at an index.
    `boolean` | `removeChildren(ShareTree achildren)` Remote a specific com.sun.grid.jgdi.configuration.ShareTree attribute.
    `void` | `setActualProportion(double aActualProportion)` Set the actualProportion attribute.
    `void` | `setChildren(int index, ShareTree achildren)` Set a com.sun.grid.jgdi.configuration.ShareTree attribute.
    `void` | `setId(int aId)` Set the id attribute.
    `void` | `setMShare(double aMShare)` Set the mShare attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setShares(int aShares)` Set the shares attribute.
    `void` | `setTemp(int aTemp)` Set the temp attribute.
    `void` | `setType(int aType)` Set the type attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getParent, getPathName, getRoot, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getParent`

- - ### Constructor Detail

    - #### ShareTreeImpl

          public ShareTreeImpl()

      Create a new instance of ShareTreeImpl. The new instance will not be initialized with the default values.

    - #### ShareTreeImpl

          public ShareTreeImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### ShareTreeImpl

          public ShareTreeImpl(java.lang.String name)

      Create a new instance of ShareTreeImpl

  - ### Method Detail

    - #### isSetName

          public boolean isSetName()

      Determine if the name attribute is set
      Specified by:
        `isSetName` in interface `ShareTree`
      Returns:
        `true` if the name attribute is set

    - #### setName

          public void setName(java.lang.String aName)

      Set the name attribute.
      Specified by:
        `setName` in interface `ShareTree`
      Overrides:
        `setName` in class `GEObjectImpl`
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          public java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Specified by:
        `getName` in interface `ShareTree`
      Overrides:
        `getName` in class `GEObjectImpl`
      Returns:
        the value of the name attribute

    - #### isSetType

          public boolean isSetType()

      Determine if the type attribute is set
      Specified by:
        `isSetType` in interface `ShareTree`
      Returns:
        `true` if the type attribute is set

    - #### setType

          public void setType(int aType)

      Set the type attribute.
      Specified by:
        `setType` in interface `ShareTree`
      Parameters:
        `aType` - the new value for the type attribute

    - #### getType

          public int getType()

      Get the value of the type attribute.
      Specified by:
        `getType` in interface `ShareTree`
      Returns:
        the value of the type attribute

    - #### isSetId

          public boolean isSetId()

      Determine if the id attribute is set
      Specified by:
        `isSetId` in interface `ShareTree`
      Returns:
        `true` if the id attribute is set

    - #### setId

          public void setId(int aId)

      Set the id attribute.
      Specified by:
        `setId` in interface `ShareTree`
      Parameters:
        `aId` - the new value for the id attribute

    - #### getId

          public int getId()

      Get the value of the id attribute.
      Specified by:
        `getId` in interface `ShareTree`
      Returns:
        the value of the id attribute

    - #### isSetShares

          public boolean isSetShares()

      Determine if the shares attribute is set
      Specified by:
        `isSetShares` in interface `ShareTree`
      Returns:
        `true` if the shares attribute is set

    - #### setShares

          public void setShares(int aShares)

      Set the shares attribute.
      Specified by:
        `setShares` in interface `ShareTree`
      Parameters:
        `aShares` - the new value for the shares attribute

    - #### getShares

          public int getShares()

      Get the value of the shares attribute.
      Specified by:
        `getShares` in interface `ShareTree`
      Returns:
        the value of the shares attribute

    - #### addChildren

          public void addChildren(ShareTree achildren)

      Add a com.sun.grid.jgdi.configuration.ShareTree attribute.
      Specified by:
        `addChildren` in interface `ShareTree`
      Parameters:
        `achildren` - the new com.sun.grid.jgdi.configuration.ShareTree attribute

    - #### setChildren

          public void setChildren(int index,
                                  ShareTree achildren)

      Set a com.sun.grid.jgdi.configuration.ShareTree attribute.
      Specified by:
        `setChildren` in interface `ShareTree`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ShareTree attribute
        `achildren` - the new com.sun.grid.jgdi.configuration.ShareTree attribute

    - #### removeAllChildren

          public void removeAllChildren()

      Remove all com.sun.grid.jgdi.configuration.ShareTree attributes.
      Specified by:
        `removeAllChildren` in interface `ShareTree`

    - #### removeChildren

          public ShareTree removeChildren(int index)

      Remote a com.sun.grid.jgdi.configuration.ShareTree attribute at an index.
      Specified by:
        `removeChildren` in interface `ShareTree`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ShareTree attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ShareTree attribute or `null` if no attribute at this index is stored

    - #### removeChildren

          public boolean removeChildren(ShareTree achildren)

      Remote a specific com.sun.grid.jgdi.configuration.ShareTree attribute.
      Specified by:
        `removeChildren` in interface `ShareTree`
      Parameters:
        `achildren` - the com.sun.grid.jgdi.configuration.ShareTree attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ShareTree attribute has been removed

    - #### getChildrenList

          public java.util.List<ShareTree> getChildrenList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ShareTree attributes.
      Specified by:
        `getChildrenList` in interface `ShareTree`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ShareTree attributes

    - #### getChildrenCount

          public int getChildrenCount()

      Get the number of com.sun.grid.jgdi.configuration.ShareTree attributes.
      Specified by:
        `getChildrenCount` in interface `ShareTree`
      Returns:
        The number of com.sun.grid.jgdi.configuration.ShareTree attributes.

    - #### getChildren

          public ShareTree getChildren(int index)

      Get a com.sun.grid.jgdi.configuration.ShareTree attribute at an index.
      Specified by:
        `getChildren` in interface `ShareTree`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ShareTree attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ShareTree attribute

    - #### isSetChildren

          public boolean isSetChildren()

      Determine if the children attribute is set
      Specified by:
        `isSetChildren` in interface `ShareTree`
      Returns:
        `true` if the children attribute is set

    - #### isSetActualProportion

          public boolean isSetActualProportion()

      Determine if the actualProportion attribute is set
      Specified by:
        `isSetActualProportion` in interface `ShareTree`
      Returns:
        `true` if the actualProportion attribute is set

    - #### setActualProportion

          public void setActualProportion(double aActualProportion)

      Set the actualProportion attribute.
      Parameters:
        `aActualProportion` - the new value for the actualProportion attribute

    - #### getActualProportion

          public double getActualProportion()

      Get the value of the actualProportion attribute.
      Specified by:
        `getActualProportion` in interface `ShareTree`
      Returns:
        the value of the actualProportion attribute

    - #### isSetMShare

          public boolean isSetMShare()

      Determine if the mShare attribute is set
      Specified by:
        `isSetMShare` in interface `ShareTree`
      Returns:
        `true` if the mShare attribute is set

    - #### setMShare

          public void setMShare(double aMShare)

      Set the mShare attribute.
      Parameters:
        `aMShare` - the new value for the mShare attribute

    - #### getMShare

          public double getMShare()

      Get the value of the mShare attribute.
      Specified by:
        `getMShare` in interface `ShareTree`
      Returns:
        the value of the mShare attribute

    - #### isSetTemp

          public boolean isSetTemp()

      Determine if the temp attribute is set
      Specified by:
        `isSetTemp` in interface `ShareTree`
      Returns:
        `true` if the temp attribute is set

    - #### setTemp

          public void setTemp(int aTemp)

      Set the temp attribute.
      Parameters:
        `aTemp` - the new value for the temp attribute

    - #### getTemp

          public int getTemp()

      Get the value of the temp attribute.
      Specified by:
        `getTemp` in interface `ShareTree`
      Returns:
        the value of the temp attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `ShareTree`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.